PYSIDE6-LRELEASE(1)

NAME
pyside6-lrelease - lrelease

DESCRIPTION

  Usage:

    lrelease [options] -project project-file lrelease [options] ts-files [-qm qm-file]

lrelease is part of Qt's Linguist tool chain. It can be used as a stand-alone tool to convert XML-based translations files in the TS format into the 'compiled' QM format used by QTranslator objects.

Passing .pro files to lrelease is deprecated. Please use the lrelease-pro tool instead, or use qmake's lrelease.prf feature.

OPTIONS

-help
    Display this information and exit

-idbased

    Deprecated. The flag is not required anymore and will be removed in a future version. It was used to enable ID based translation.

-compress

    Compress the QM files

-nounfinished

    Do not include unfinished translations

-fail-on-unfinished

    Generate an error if unfinished translations are found

-removeidentical

    If the translated text is the same as the source text, do not include the message

-markuntranslated <prefix>

    If a message has no real translation, use the source text prefixed with the given string instead

-project <filename>

    Name of a file containing the project's description in JSON format. Such a file may be generated from a .pro file using the lprodump tool.

-silent

    Do not explain what is being done

-verbose

    Explain what is being done (default)

-version

    Display the version of lrelease and exit